module Doorkeepr
  module Rails
    class Manager
      attr_reader :config, :nerve
      def initialize
        @config = ::Nerve::Easy::Nerve.new
      end
      def announce service
        @config.announce service
      end
      def publish
        return unless defined? ::Rails::Server
        @nerve ||= Nerve.new
        nerve.publish
      end
      def depublish
        return unless nerve
        nerve.depublish
      end
    end
  end
end