require "nerve"
require "nerve/easy"

module Doorkeepr
  module Rails
    class Nerve
      attr_accessor :nerve, :thread
      def initialize
        return unless Doorkeepr.config.to_h[:entrance]
        Rails.announce Entrance.new.service
      end
      def publish
        return unless Doorkeepr.config.to_h[:entrance]
        ::Rails.logger.debug "publish service"
        @nerve = ::Nerve::Nerve.new Rails.config.to_nerve
        @thread = Thread.new do
          nerve.run
        end
      end
      def depublish
        return unless thread
        ::Rails.logger.debug "depublish service"
        thread.kill
      end
    end
  end
end