module Doorkeepr
  module Rails
    class Engine < ::Rails::Engine
      isolate_namespace ::Doorkeepr::Rails
      config.after_initialize do |app|
        app.routes.prepend do
          mount Engine => Rails.mount_at.to_s, as: :doorkeepr
        end
        Rails.manager = Manager.new
        Rails.announce  Rails.default_service
        Rails.publish
        at_exit { Rails.depublish }
      end
    end
  end
end
