module Doorkeepr
  module Rails
    class Entrance
      def initialize
        @entrance_config            = Doorkeepr.config.to_h
        @entrance_config[:interval] = 5
        @entrance_config[:timeout]  = 3
        @entrance_config[:function] = "entrance"
        @entrance_config[:zk_path]  = Doorkeepr.config.to_h[:entrance]
        @entrance_service           = ::Nerve::Easy::Service.new @entrance_config
      end
      def config
        @entrance_config
      end
      def service
        @entrance_service
      end
    end
  end
end